<?php 

namespace Model;

class Blog extends Model {
  public $id;
  public $title;
  public $description;
  public $news_category;
  public $start_date;
  public $end_date; 
  public $is_active;

  public $url;

  public function __construct($data, $images = null, $podcast = null) {
    parent::__construct($data);
    parent::ConvertToDateTime($this->start_date);
    parent::ConvertToDateTime($this->end_date);

    $this->url = "/blog/{$this->id}/" . parent::url_slug($this->title);
  }
}
